<template lang="pug">
.page-cont
  search-section(
    :bg="hero_bg"
    :copy-button="form_copy_button"
    :email-title="form_sent_to_email"
    :form-title="form_subtitle"
    :share-button="form_share_button"
    :show-form="show_form"
    :show-socials="show_hero_socials"
    :success-content="form_success_message_content"
    :success-title="form_success_message_title"
    :title="hero_title"
  )
  years-section(
    v-if="show_about"
    :content="about_content"
    :image="about_image"
    :indicator="about_indicator"
    :title="about_title"
  )
  services-section(
    v-if="show_services"
    :description-content="services_description_content"
    :description-title="services_description_title"
    :description-title-link="services_description_title_link"
    :image1="services_image_1"
    :image2="services_image_2"
    :image3="services_image_3"
    :sections="show_service_sections ? service_sections: null"
    :title="services_title"
  )
  features-section(
    v-if="show_features"
    :features="features"
    :title="features_title"
    large-title
  )
  services2-section(
    v-if="show_slides && slides && slides.length"
    :slides="slides"
    :title="slides_title"
  )
  apps-section(
    v-if="show_mobile_app"
    :appstore-link="mobile_app_apple_appstore_link"
    :bg="mobile_app_bg"
    :content="mobile_app_content"
    :google-play-link="mobile_app_google_play_link"
    :screenshots="mobile_app_screenshots_image"
    :title="mobile_app_title"
  )
</template>

<script>
import { pageMixin } from '../mixins/pages'
import API from '../api'
import { fetchPage } from '../utils/asyncPages'

export default {
  name: 'IndexPage',

  layout: 'white-logo-header',

  async asyncData ({ app, error }) {
    return fetchPage(app, error, API.pages.homepage())
  },

  mixins: [pageMixin]
}
</script>
